<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\Anmeldung\KinderDialog;

use Kufer\Web\Classes\ExportAdapter\ExpAdditionalVariables;

abstract class KinderDialogView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  protected function getDefaultDataModulArray()
  {
    static $dm = null;
    if (is_null($dm)) {
      $dm = new class() extends \Datamodul {
        public $kinderfrei;
        public $readonly;
      };

      $dm->kinderfrei = $this->viewModel->kinderfrei;
      $dm->readonly = $this->viewModel->readonly;
    }

    return array($dm);
  }

  protected function getDefaultExportAdapter()
  {
    return new ExpAdditionalVariables(
      new \ExportBasis(),
      array('allow_kinder_funktionen' => $this->viewModel->allowKinderFunktionen)
    );
  }
}

class KinderDialogViewModel
{
  public $kinderfrei;
  public $readonly;
  public $allowKinderFunktionen;
}